import { DeesElement, type TemplateResult } from '@design.estate/dees-element';
declare global {
    interface HTMLElementTagNameMap {
        'wcc-frame': WccFrame;
    }
}
export declare class WccFrame extends DeesElement {
    accessor viewport: string;
    accessor advancedEditorOpen: boolean;
    accessor isNative: boolean;
    accessor sidebarWidth: number;
    accessor isResizing: boolean;
    static styles: import("@design.estate/dees-element").CSSResult[];
    render(): TemplateResult;
    getDisplayedInstance(): Promise<void>;
    getViewportElement(): Promise<HTMLElement>;
}
